org.springframework.data.geo

## Interface Metric

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CustomMetric, Metrics

    public interface Metric
    extends Serializable

Interface for `Metric`s that can be applied to a base scale.

Since:
  1.8
Author:
  Oliver Gierke, Thomas Darimont

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAbbreviation()` Returns the scientific abbreviation of the unit the `Metric` is in.
`double` `getMultiplier()` Returns the multiplier to calculate metrics values from a base scale.

### Method Detail

#### getMultiplier

    double getMultiplier()

Returns the multiplier to calculate metrics values from a base scale.

Returns:

#### getAbbreviation

    String getAbbreviation()

Returns the scientific abbreviation of the unit the `Metric` is in.

Returns: